Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.common.ui
Class StandardAction

    java.lang.Object
      javax.swing.AbstractAction
          com.sshtools.common.ui.StandardAction

All Implemented Interfaces:
  javax.swing.Action, java.awt.event.ActionListener, java.lang.Cloneable, java.util.EventListener, java.io.Serializable

Direct Known Subclasses:
  AboutAction, CloseAction, ConnectionPropertiesAction, EditAction, ExitAction, MenuAction, NewAction, NewWindowAction, OpenAction, OptionsAction, RecordAction, RefreshAction, SaveAction, SaveAsAction, StopAction

public abstract class StandardAction
extends javax.swing.AbstractAction

DOCUMENT ME!

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CONTEXT_MENU_GROUP` DOCUMENT ME!
`static java.lang.String` | `CONTEXT_MENU_WEIGHT` DOCUMENT ME!
`static java.lang.String` | `IMAGE_DIR` DOCUMENT ME!
`static java.lang.String` | `LARGE_ICON` DOCUMENT ME!
`static java.lang.String` | `MENU_ITEM_GROUP` DOCUMENT ME!
`static java.lang.String` | `MENU_ITEM_WEIGHT` DOCUMENT ME!
`static java.lang.String` | `MENU_NAME` DOCUMENT ME!
`static java.lang.String` | `ON_CONTEXT_MENU` DOCUMENT ME!
`static java.lang.String` | `ON_MENUBAR` DOCUMENT ME!
`static java.lang.String` | `ON_TOOLBAR` DOCUMENT ME!
`static java.lang.String` | `TOOLBAR_GROUP` DOCUMENT ME!
`static java.lang.String` | `TOOLBAR_WEIGHT` DOCUMENT ME!

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`StandardAction()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)` DOCUMENT ME!
`void` | `addActionListener(java.awt.event.ActionListener l)` DOCUMENT ME!
`java.lang.String` | `getActionCommand()` DOCUMENT ME!
`javax.swing.ImageIcon` | `getIcon(java.lang.String name)` DOCUMENT ME!
`java.lang.String` | `getLongDescription()` DOCUMENT ME!
`java.lang.String` | `getName()` DOCUMENT ME!
`java.lang.String` | `getShortDescription()` DOCUMENT ME!
`java.lang.String` | `getSmallIcon()` DOCUMENT ME!
`void` | `removeActionListener(java.awt.event.ActionListener l)` DOCUMENT ME!

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ON_TOOLBAR

    public static final java.lang.String ON_TOOLBAR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### TOOLBAR_GROUP

    public static final java.lang.String TOOLBAR_GROUP

  DOCUMENT ME!

  See Also:
    Constant Field Values

### TOOLBAR_WEIGHT

    public static final java.lang.String TOOLBAR_WEIGHT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ON_MENUBAR

    public static final java.lang.String ON_MENUBAR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### MENU_NAME

    public static final java.lang.String MENU_NAME

  DOCUMENT ME!

  See Also:
    Constant Field Values

### MENU_ITEM_GROUP

    public static final java.lang.String MENU_ITEM_GROUP

  DOCUMENT ME!

  See Also:
    Constant Field Values

### MENU_ITEM_WEIGHT

    public static final java.lang.String MENU_ITEM_WEIGHT

  DOCUMENT ME!

  See Also:
    Constant Field Values

### IMAGE_DIR

    public static final java.lang.String IMAGE_DIR

  DOCUMENT ME!

  See Also:
    Constant Field Values

### LARGE_ICON

    public static final java.lang.String LARGE_ICON

  DOCUMENT ME!

  See Also:
    Constant Field Values

### ON_CONTEXT_MENU

    public static final java.lang.String ON_CONTEXT_MENU

  DOCUMENT ME!

  See Also:
    Constant Field Values

### CONTEXT_MENU_GROUP

    public static final java.lang.String CONTEXT_MENU_GROUP

  DOCUMENT ME!

  See Also:
    Constant Field Values

### CONTEXT_MENU_WEIGHT

    public static final java.lang.String CONTEXT_MENU_WEIGHT

  DOCUMENT ME!

  See Also:
    Constant Field Values

Constructor Detail

### StandardAction

    public StandardAction()

Method Detail

### getActionCommand

    public java.lang.String getActionCommand()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getShortDescription

    public java.lang.String getShortDescription()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getLongDescription

    public java.lang.String getLongDescription()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getName

    public java.lang.String getName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getSmallIcon

    public java.lang.String getSmallIcon()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  DOCUMENT ME!

  Parameters:
    `evt` - DOCUMENT ME!

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  DOCUMENT ME!

  Parameters:
    `l` - DOCUMENT ME!

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener l)

  DOCUMENT ME!

  Parameters:
    `l` - DOCUMENT ME!

### getIcon

    public javax.swing.ImageIcon getIcon(java.lang.String name)

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD